version: "3.7"

services:

  phil-ph:
    image: pihole/pihole:latest
    container_name: "phil-ph"
    networks:
      - pihole_network
    ports:
      - "53:53/udp"
      - "53:53/tcp"
      - "80:80"
    volumes:
      - type: bind
        source: /pihole_data
        target: /etc/pihole
    restart: always
    environment:
      TZ: Europe/Amsterdam
      WEBPASSWORD: 'password'

  pihole_exporter:
    image: ekofr/pihole-exporter
    container_name: pihole_exporter
    ports:
      - 9617:9617
    environment:
      PIHOLE_HOSTNAME: phil-ph 
      PIHOLE_PASSWORD: password
      INTERVAL: 30s
      PORT: 9617
    restart: always
    networks:
      - pihole_network 

networks:
  pihole_network:
    driver: bridge
